Subject: [1.2.1 pre-release testing] substitute downloading and TLS errors
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: jcguu95 <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 18 Apr 2021 11:38:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Apr 16, 2021 at 10:40:55PM -0500, jcguu95 wrote:
>    2.2. Unexpected failure
> 
>    After running `guix system init /mnt/etc/config.scm /mnt' for 5 to 10
>    minutes, I got the error
> 
>    ,----
>    |    substitute: updating substitutes from 'https://ci.guix.gnu.org'... 0.0%guix substitute: error: TSL error in procedure 'write_to_session_port': Resource temporarily unavailable, try again.
>    | 
>    |    guix system: error: `/gnu/store/1nmwil4cs...vc2p-guix-1.2.0-21.4dff6ec/bin/guix substitute` died unexpectedly
>    |    root@gnu ~# _
>    `----
> 
>    Retrying it did resolve the problem. And I got a working guix system
>    out of it :)

I’ve got the same TLS error (though the procedure for me is
‘write_to_session_record_port’.

I needed to restart the installer at the last step, this stopped while
downloading enlightenment with no error but it does not continue.

Regards,
Florian